%global use_x11_tests 1

Name:		Sprog
Version:	0.14
Release:	24%{?dist}
Summary:	A graphical tool to build programs by plugging parts together

Group:		Applications/System
License:	GPL+ or Artistic
URL:		http://sprog.sourceforge.net/
Source0:	http://downloads.sourceforge.net/sprog/Sprog-%{version}.tar.gz
Source1:    gnome-run.png
Patch0:		sprog-0.14-skip-tests-15-19.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:  desktop-file-utils
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time
BuildRequires:  perl(Apache::LogRegex)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Glib)
BuildRequires:  perl(Gnome2::Canvas)
BuildRequires:  perl(Gtk2)
BuildRequires:  perl(Gtk2::Gdk::Keysyms)
BuildRequires:  perl(Gtk2::GladeXML)
BuildRequires:  perl(Gtk2::Pango)
BuildRequires:  perl(Gtk2::SimpleMenu)
BuildRequires:  perl(Imager)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Pod::Simple::Methody)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(XML::LibXML)
BuildRequires:  perl(YAML)
# Tests
BuildRequires:  perl(lib)
BuildRequires:  perl(LWP)
BuildRequires:  perl(LWP::Simple)
BuildRequires:  perl(Template)
BuildRequires:  perl(Test::More)
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  font(:lang=en)
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  xorg-x11-xinit
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Pod::Simple::Methody) 
Requires:       perl(Gnome2::Canvas)

%description
Sprog is a tool for working with data. It allows you to do all the things those
clever Unix geeks can do with their cryptic command lines but you can now do it
all with point-n-click and drag-n-drop.

A Sprog machine has many similarities to a shell script. It is built from small
reusable parts (called gears) that are connected together to filter and massage
your data. Once you have built a machine, you can save it and run it again and
again to automatically perform repetitive tasks.

%prep
%setup -q -n Sprog-%{version}
%patch0 -p0

%{__cat} <<EOF >Sprog.desktop
[Desktop Entry]
Name=Sprog
Comment=A graphical tool to build programs by plugging parts together
Categories=Application;Development;X-Red-Hat-Base;
Icon=gnome-run.png
Exec=/usr/bin/sprog
Type=Application
Terminal=false
Encoding=UTF-8
EOF

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*
desktop-file-install --vendor fedora							\
		--dir ${RPM_BUILD_ROOT}%{_datadir}/applications			\
		--add-category X-Fedora									\
		Sprog.desktop
%{__install} -Dp -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/gnome-run.png

%check
sed -i "s/exit 1;/exit 0;/" t/14_machine.t
%if %{use_x11_tests}
    xinit /bin/sh -c 'rm -f ok; /usr/libexec/notification-daemon & LANG=C make test && touch ok' -- /usr/bin/Xvfb :666
    test -e ok
%else
    LANG=C make test
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README
%{_bindir}/sprog
%{perl_vendorlib}/Sprog/
%{perl_vendorlib}/Sprog.pm
%{_mandir}/man3/Sprog*
%{_datadir}/pixmaps/gnome-run.png
%{_datadir}/applications/fedora-Sprog.desktop

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 0.14-23
- Perl 5.16 rebuild
- Specify all dependencies
- Run X11 tests

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.14-21
- Perl mass rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.14-19
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.14-18
- rebuild against perl 5.10.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 21 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.14-16
- Added missing R: perl(Gnome2::Canvas), resolves BZ#468548.

* Tue Apr 21 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.14-15
- Fix FTBFS: fixed failing test in %%check
- Consistent usage of tabs/spaces in specfile

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.14-13
- rebuild for new perl

* Mon Oct 09 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-12
- Rebuild for FC6  

* Wed Mar 01 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-11
- Added perl(Imager)  

* Sun Feb 26 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-10
- Removed perl(Imager)

* Sun Feb 26 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-9
- Changes BuildRequires to perl(Imager) and perl(Time::HiRes). 
  See Bugzilla Bug 183004

* Sun Feb 26 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-8
- Changes Requires to perl(Pod::Simple::Methody). 
  See Bugzilla Bug 183004

* Sat Feb 25 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-7
- Requires perl-Pod-Simple due to Bugzilla Bug 183004

* Wed Feb 22 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-6
- Rebuilt and commited to devel tree

* Sat Dec 3 2005 Jef Spaleta <jspaleta@gmail.com> - 0.14-5
- Specfile clean up for desktop file installation and to conform 
  licensing to current FE packaging policy

* Mon Nov 16 2005 Gavin Henry <ghenry@suretecsystems.com> - 0.14-4
- Added desktop entry
- Applied patch to 18_command_filter.t to fix non-fatal test 
  failures

* Fri Aug 19 2005 Paul Howarth <paul@city-fan.org> - 0.14-3
- Fix BR's so that %%check works
- Remove deps that can be autogenerated
- Package is noarch
- Tidy %%files
- Include README and license text as %%doc
- Run "make test" is C locale for better coverage

* Fri Aug 19 2005 Gavin Henry <ghenry@suretecsystems.com> - 0.14-2
- Second build

* Wed Aug 17 2005 Gavin Henry <ghenry@suretecsystems.com> - 0.14-1
- New release

* Sat Jul 3 2005 Gavin Henry <ghenry@suretecsystems.com> - 0.13-1
- New release

* Sat Jul 2 2005 Gavin Henry <ghenry@suretecsystems.com> - 0.12-1
- Re-worked specfile for Fedora Core 4 Extras

* Thu Jun 23 2005 Grant McLean <grant@mclean.net.nz> - 0.11-1
- Leave .pm files to go to default location - wrapper script will cope

* Tue Jun 14 2005 Gavin Brown <gavin.brown@uk.com> - 0.10-2
- Hard-coded where .pm files go for when building on Debian

* Tue Jun 14 2005 Grant McLean <grant@mclean.net.nz> - 0.10-1
- New upstream version
- Removed perl-Class-Accessor dependency
- Bumped up Perl version dependency
- Tweaked Gavin's configs for vendor/packager

* Wed Jun 01 2005 Gavin Brown <gavin.brown@uk.com> - 0.09-1
- Initial package.

